
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Addresses_Corporation_ICE_
#define _Oz_Addresses_Corporation_ICE_

#ifndef INCLUDE_OZ_ADDRESSES_PERSON
#define INCLUDE_OZ_ADDRESSES_PERSON
	#include <Addresses/Person.ice>
#endif

#ifndef INCLUDE_OZ_BASE_ENTIDAD
#define INCLUDE_OZ_BASE_ENTIDAD
	#include <Base/Entidad.ice>
#endif

module Oz
{
	module Addresses
	{
		interface CorporationAdmin
		{
			idempotent bool 
			setCif(
				string cif);
			
			idempotent bool 
			addContact(
				Person* contacto);
			
			nonmutating PersonasRefs 
			getContacts();
			
			nonmutating string 
			getCif();
		};
		
		class Corporation 
			extends 
				Oz::Base::Entidad 
			implements 
				CorporationAdmin
		{
			string cif;
			PersonasRefs contactos;
		};
	};
};
#endif

