
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_Base_ICE_
#define _Oz_Base_Base_ICE_

#ifndef INCLUDE_OZ_BASE_SYSTYPES
#define INCLUDE_OZ_BASE_SYSTYPES
	#include <Base/SysTypes.ice>
#endif

module Oz
{
    module Base
    {
		/**
		 * Interface que permite gestionar los cometarios de un
		 * objeto.
		 */
		 
		interface ComentAdmin
		{
			idempotent Coment* 
			addComent();
			
			nonmutating ComentIdMap 
			getComentsById();
	
			nonmutating ComentNumberMap
			getComentsByNumber();
	
			idempotent void deleteComent(long comentNumber);
		};
    };
};
#endif

