
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_Event_ICE_
#define _Oz_Base_Event_ICE_

#ifndef INCLUDE_OZ_BASE_DATE
#define INCLUDE_OZ_BASE_DATE
	#include <Base/Date.ice>
#endif

module Oz
{
	module Base
	{
		class OnRez;
		
		interface EventAdmin
		{
			nonmutating OnRez* 
			getObject();
			
			nonmutating string 
			getName();
			
			nonmutating Date
			getDate();
			
			nonmutating string
			getType();
		};
		
		/**
		 * Clase base para eventos del sistema
		 */

		class Event implements EventAdmin
		{
			OnRez* objectPx;
			Date eventDate;
			string name;
			string type;
		};
	};
};
#endif

