
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_Location_ICE_
#define _Oz_Base_Location_ICE_

#ifndef INCLUDE_OZ_BASE_ONREZ
#define INCLUDE_OZ_BASE_ONREZ
	#include <Base/OnRez.ice>
#endif

module Oz
{
	module Base
	{
		class Entidad;
		
		interface LocationAdmin
		{
			nonmutating Entidad* 
			getParent();
			
			nonmutating string 
			getComent();
	
			idempotent bool 
			setParent(
				Entidad* parent);
			
			idempotent bool 
			setComent(
				string coment);
		};
		
		/**
		 * Forma de localizacion (Direcion,Emai,Gtalk,..,all)
		 */
	
		class Location extends OnRez implements LocationAdmin
		{
			Entidad* parent;
			string coment;
			
			nonmutating Location 
			getLocation();
		};

		dictionary<Ice::Identity,Location*> LocationMap;
	};
};
#endif

