
#ifndef _Oz_Base_ObjectCache_ICE_
#define _Oz_Base_ObjectCache_ICE_

#ifndef INCLUDE_OZ_BASE_ONREZ
#define INCLUDE_OZ_BASE_ONREZ
	#include <Base/OnRez.ice>
#endif

module Oz
{
	module Base
	{
		interface ObjectCacheAdmin
		{
			nonmutating long getPos();
			nonmutating OnRez* getObject();
		};
		
		/**
		 * Objeto de la cache @see ChacheMap
		 */
		class ObjectCache extends ObjectCacheAdmin
		{
			long pos;
			OnRez* objectPx;
		};

		dictionary<Ice::Identity,ObjectCache>ObjectCacheIdMap;
	};
};
#endif