
#ifndef _Oz_Searchs_ObjectMetadata_ICE_
#define _Oz_Searchs_ObjectMetadata_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_OZ_BASE_ACLADMIN
#define INCLUDE_OZ_BASE_ACLADMIN
	#include <Base/SysTypes.ice>
#endif

module Oz
{
	module Base
	{
		class ObjectMetadata
		{
			string objectId;
			string content;
			/*
			 *List of groups ids as string separated by white space
			 * alow search acording user access
			 */
			string groups;
			Oz::Base::StringMap indexedKeys;
			Oz::Base::StringMap storedKeys;
		};
		["java:type:java.util.ArrayList"]
		sequence<ObjectMetadata>ObjectMetadataSeq;
	};
};
#endif