
#ifndef _Oz_Base_SysTypes_ICE_
#define _Oz_Base_SysTypes_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_ICESTORM_ICESTORM
#define INCLUDE_ICESTORM_ICESTORM
	#include <IceStorm/IceStorm.ice>
#endif

module Oz
{
	module Base
	{
		class OnRez;
		class OnRezService;
		dictionary<string,Ice::Identity> StringIdMap;
		dictionary<Ice::Identity,OnRez*> IdProxyMap;
		dictionary<string,OnRez*> StringProxyMap;
		dictionary<string,IceStorm::Topic*> TopicsMap;
		sequence<string> StdStringList;
		
		
		class Coment;
		["java:type:java.util.TreeMap"]dictionary<long,Coment*> ComentNumberMap;
		dictionary<Ice::Identity,Coment*>ComentIdMap;
		["java:type:java.util.ArrayList"]sequence<Ice::Identity> EntityRefs;
		
		["java:type:java.util.TreeMap"]dictionary<string,EntityRefs> AccesMap;
		["java:type:java.util.ArrayList"]sequence<string> Strings;
		["java:type:java.util.TreeMap"]dictionary<string,string> StringMap;
	};
};
#endif