
#ifndef _Oz_Chat_Message_ICE_
#define _Oz_Chat_Message_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
    #include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_OZ_CHAT_CHATUSER
#define INCLUDE_OZ_CHAT_CHATUSER
    #include <Chat/ChatUser.ice>
#endif

module Oz
{
	module Chat
	{
		interface MessageClient
		{
			nonmutating string getTimeStamp();
			nonmutating string read();
			nonmutating string getUserName();
		};
		
		class Message extends MessageClient
		{
			string timeStamp;
			string userName;
			string content;
		};
		
		dictionary<Ice::Identity,Message> MessageMap;
	};
};
#endif

