
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Files_Image_ICE_
#define _Oz_Files_Image_ICE_

//Oz includes

#ifndef INCLUDE_OZ_FILES_FILE
#define INCLUDE_OZ_FILES_FILE
	#include <Files/File.ice>
#endif

module Oz
{
	module Files
	{
		class Image;
		sequence<Image> Images;

		interface imageWriter
		{
			idempotent void 
			updatePreview();
		};

		interface imageReader
		{
				nonmutating Image* 
				getPreview();
		};

		interface magick
		{
			/*void resize(Oz::Base::Size newSize);
			void toFormat(string newFormat);*/
		};

		class Image 
			extends 
				File 
			implements 
				imageWriter,
				imageReader
		{
			Image* preview;
		};
	};
};
#endif

