
#ifndef _Oz_Mail_MailServer_H_
#define _Oz_Mail_MailServer_H_

#ifndef INCLUDE_OZ_BASE_ONREZSERVICE
#define INCLUDE_OZ_BASE_ONREZSERVICE
	#include <Base/OnRezService.ice>
#endif

#ifndef INCLUDE_OZ_BASE_MAILACOUNT
#define INCLUDE_OZ_BASE_MAILACOUNT
	#include <Mail/MailAcount.ice>
#endif

module Oz
{
	module Mail
	{
		interface MailServerAdmin
		{
			idempotent MailAcount* createMailAcount();
			idempotent void deleteMailAcount(Ice::Identity acountId);
			MailAcount* getMailAcount(Ice::Identity acountId);
			MailAcountMap getMailAcounts();
		};
		
		class MailServer
			extends Oz::Base::OnRezService
			implements MailServerAdmin
		{
			MailAcountMap mailAcounts;
		};
	};
};
#endif