
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Products_Product_ICE_
#define _Oz_Products_Product_ICE_

//Oz includes

#ifndef INCLUDE_OZ_BASE_ONREZ
#define INCLUDE_OZ_BASE_ONREZ
	#include <Base/OnRez.ice>
#endif

#ifndef INCLUDE_OZ_PRODUCTS_PRODUCTNODE
#define INCLUDE_OZ_PRODUCTS_PRODUCTNODE
	#include <Products/ProductNode.ice>
#endif

#ifndef INCLUDE_OZ_FILES_FILE
#define INCLUDE_OZ_FILES_FILE
	#include <Files/File.ice>
#endif

#ifndef INCLUDE_OZ_FILES_DIRECTORY
#define INCLUDE_OZ_FILES_DIRECTORY
	#include <Files/Directory.ice>
#endif

module Oz
{
	module Products
	{
		interface ProductAdmin
		{
		};
		
		
		class Product extends ProductNode implements ProductAdmin
		{
		};

		sequence<Product*> ProductRefs;
		dictionary<Ice::Identity,Product*> ProductMap;
	};
};
#endif

