
#ifndef _Oz_Searchs_SearchServer_ICE_
#define _Oz_Searchs_SearchServer_ICE_

#ifndef INCLUDE_OZ_BASE_ONREZSERVICE
#define INCLUDE_OZ_BASE_ONREZSERVICE
	#include <Base/OnRezService.ice>
#endif

#ifndef INCLUDE_OZ_SEARCHS_INDEXER
#define INCLUDE_OZ_SEARCHS_INDEXER
	#include <Searchs/Indexer.ice>
#endif

#ifndef INCLUDE_OZ_SEARCHS_SEARCHER
#define INCLUDE_OZ_SEARCHS_SEARCHER
	#include <Searchs/Searcher.ice>
#endif

module Oz
{
	module Searchs
	{
		interface SearchServerAdmin
		{
			nonmutating string getName();
			nonmutating string getIndexDir();
		};

		class SearchServer 
			extends
				Oz::Base::OnRezService
			implements 
				SearchServerAdmin,
				SearcherAdmin,
				IndexerAdmin
		{
			string name;
			string indexDir;
			Searcher* searcherPx;
			Indexer* indexerPx;
		};
		
		dictionary<string,SearchServer*>SearchServerMap;
	};
};

#endif

