
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Addresses_AddressBookServer_ICE_
#define _Oz_Addresses_AddressBookServer_ICE_

#ifndef INCLUDE_OZ_ADDRESSES_ADDRESSBOOK
#define INCLUDE_OZ_ADDRESSES_ADDRESSBOOK
	#include <Addresses/AddressBook.ice>
#endif

#ifndef INCLUDE_OZ_BASE_ONREZSERVICE
#define INCLUDE_OZ_BASE_ONREZSERVICE
	#include <Base/OnRezService.ice>
#endif

module Oz
{
	module Addresses
	{
		interface AddressBookServerAdmin
		{
			idempotent AddressBook* createAddressBook(string name);
			idempotent bool removeAddressBook(string name);
			
			nonmutating AddressBook* getAddressBook(string name);
			nonmutating AddressBookMap getAddressBooks();
		};
		
		class AddressBookServer 
			extends 
				Oz::Base::OnRezService 
			implements 
				AddressBookServerAdmin
		{
			AddressBookMap addressBooks;
		};
	};
};
#endif

