
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Addresses_Person_ICE_
#define _Oz_Addresses_Person_ICE_

#ifndef INCLUDE_OZ_BASE_ENTIDAD
#define INCLUDE_OZ_BASE_ENTIDAD
	#include <Base/Entidad.ice>
#endif

module Oz
{
	module Addresses
	{
		interface PersonAdmin
		{
			idempotent bool 
			setTratamiento(
				string tratamiento);

			idempotent bool 
			setApodo(
				string apodo);

			idempotent bool 
			setApellido1(
				string apellido1);

			idempotent bool 
			setApellido2(
				string apellido2);

			idempotent bool 
			setNif(
				string nif);

			nonmutating string 
			getTratamiento();
			
			nonmutating string 
			getApodo();
			
			nonmutating string 
			getApellido1();
			
			nonmutating string 
			getApellido2();
			
			nonmutating string 
			getNif();
		};

		class Person 
			extends 
				Oz::Base::Entidad 
			implements 
				PersonAdmin
		{
				string tratamiento;
				string apodo;
				string apellido1;
				string apellido2;
				string nif;
		};

		sequence<Person*> PersonasRefs;
	};
};
#endif

