
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Addresses_PhoneNumber_ICE_
#define _Oz_Addresses_PhoneNumber_ICE_

#ifndef INCLUDE_OZ_BASE_LOCATION
#define INCLUDE_OZ_BASE_LOCATION
	#include <Base/Location.ice>
#endif

module Oz
{
	module Addresses
	{
		interface PhoneNumberAdmin
		{
			nonmutating string 
			getNumber();
			
			idempotent bool 
			setNumber(
				string number);
		};

		class PhoneNumber 
			extends 
				Oz::Base::Location 
			implements 
				PhoneNumberAdmin
		{
			string number;
		};
	};
};
#endif

