
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_EventPublisher_ICE_
#define _Oz_Base_EventPublisher_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_OZ_BASE_EVENT
#define INCLUDE_OZ_BASE_EVENT
	#include <Base/Event.ice>
#endif

module Oz
{
	module Base
	{
		/**
		 * Publicacion de eventos en el sistema
		 */

		interface EventPublisher
		{
			/**
			 * Publica el evento en el topic icestorm asociado
			 * al objeto
			 */

			idempotent void eMit(Event e);
		};
	};
};
#endif

