
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_SearchAdmin_ICE_
#define _Oz_Baase_SearchAdmin_ICE_

module Oz
{
	module Base
	{
		sequence<string> Keys;

		interface SearchAdmin
		{
			idempotent bool 
			addKey(
				string key);
			
			idempotent bool 
			delKey(
				string key);
			
			nonmutating bool 
			hasKey(
				string key);
			
			nonmutating Keys 
			getKeys();
		};
	};
};
#endif

