

#ifndef _Oz_Chat_ChatRoomParticipe_ICE_
#define _Oz_Chat_ChatRoomParticipe_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_OZ_CHAT_CHATOBSERVER
#define INCLUDE_OZ_CHAT_CHATOBSERVER
	#include <Chat/ChatObserver.ice>
#endif

module Oz
{
	module Chat
	{
		class ChatRoom;
		sequence <string>Strings;

		interface ChatRoomParticipeClient
		{
			idempotent void say(string data);
			nonmutating Ice::Identity getId();
			idempotent Strings getUsers();
		};
		
		class ChatRoomParticipe implements ChatRoomParticipeClient
		{
			Ice::Identity id;
			string userName;
			string channelName;
			ChatRoom* room;
			ChatObserver* roomPublisher;
		};

		dictionary <string,ChatRoomParticipe*>ChatRoomParticipeMap;
	};
};
#endif