
#ifndef _Oz_Chat_ChatUser_ICE_
#define _Oz_Chat_ChatUser_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif


module Oz
{
	module Chat
	{
		class ChatObserver;
		interface ChatUserClient
		{
			nonmutating Ice::Identity getId();
			nonmutating string getName();
			nonmutating bool login(string passwd);
		};
		
		class ChatUser implements ChatUserClient
		{
			Ice::Identity id;
			string name;
			string password;
		};
		
		dictionary <string,ChatUser*> ChatUserMap;
	};
};
#endif