
#ifndef _Oz_Cms_UserProfile_ICE_
#define _Oz_Cms_UserProfile_ICE_

#ifndef INCLUDE_OZ_BASE_ONREZ
#define INCLUDE_OZ_BASE_ONREZ
	#include <Base/OnRez.ice>
#endif

#ifndef INCLUDE_OZ_FILES_FILE
#define INCLUDE_OZ_FILES_FILE
	#include <Files/File.ice>
#endif
module Oz
{
	module Cms
	{
		interface UserProfileAdmin
		{
			idempotent void
			setLocale(
				string locale);
			
			idempotent void
			setStyleURL(
				string styleURL);

			nonmutating string
			getLocale();

			nonmutating string
			getStyleURL();
		};

		/**
		 * Datos de perfil para los usuarios
		 *
		 */

		class UserProfile
			extends Oz::Base::OnRez
			implements UserProfileAdmin
		{
			string locale;
			string styleURL;
			string signature;
			Oz::Files::File* abatar;
		};
	
		dictionary<Ice::Identity,UserProfile*>UserProfileMap;
	};
};
#endif