
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Files_Document_ICE_
#define _Oz_Files_Document_ICE_

#ifndef INCLUDE_OZ_FILES_NODE
#define INCLUDE_OZ_FILES_NODE
	#include <Files/Node.ice>
#endif

module Oz
{
	module Files
	{
		interface DocumentAdmin
		{
			nonmutating string
			getResume(string locale);

			nonmutating string 
			read(string locale);
			
			idempotent bool 
			write(
				string locale,
				string resume,
				string content);
		};
		
		class Document 
			extends 
				Node 
			implements 
				DocumentAdmin
		{
			Oz::Base::StringMap resume;
			Oz::Base::StringMap content;
		};
	};
};
#endif

