
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Files_Link_ICE_
#define _Oz_Files_Link_ICE_

//Ice includes

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_OZ_FILES_NODE
#define INCLUDE_OZ_FILES_NODE
	#include <Files/Node.ice>
#endif

#ifndef INCLUDE_OZ_FILES_FILE
#define INCLUDE_OZ_FILES_FILE
	#include <Files/File.ice>
#endif

module Oz
{
	module Files
	{
		
		interface LinkAdmin
		{
			idempotent void setTarget(Node* target);
			nonmutating Node* getTarget();
		};

		class Link 
			extends 
				Node
			implements LinkAdmin
		{
			Node* target;
		};
	};
};
#endif

