
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Products_ProductServer_ICE_
#define _OZ_Products_ProductServer_ICE_

//Oz includes

#ifndef INCLUDE_OZ_BASE_ONREZSERVICE
#define INCLUDE_OZ_BASE_ONREZSERVICE
	#include <Base/OnRezService.ice>
#endif

#ifndef INCLUDE_OZ_PRODUCTS_PRODUCTCATEGORY
#define INCLUDE_OZ_PRODUCTS_PRODUCTCATEGORY
	#include <Products/ProductCategory.ice>
#endif

#ifndef INCLUDE_OZ_FILES_FILESYSTEM
#define INCLUDE_OZ_FILES_FILESYSTEM
	#include <Files/FileSystem.ice>
#endif

module Oz
{
	module Products
	{
		interface ProductServerAdmin
		{	
			nonmutating ProductCategory*
			getCatalog();	
			
			nonmutating Oz::Files::FileSystem* 
			getFileSystem();
		};

		class ProductServer 
			extends
				Oz::Base::OnRezService 
			implements 
				ProductServerAdmin
		{
				ProductCategory* catalog;
				Oz::Files::FileSystem* fileSystem;
		};
	};
};
#endif

