
#ifndef _Oz_Searchs_Indexer_ICE_
#define _Oz_Searchs_Indexer_ICE_


#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

#ifndef INCLUDE_OZ_BASE_OBJECTMETADATA
#define INCLUDE_OZ_BASE_OBJECTMETADATA
	#include <Base/ObjectMetadata.ice>
#endif

module Oz
{
	module Searchs
	{
		interface IndexerAdmin
		{
			idempotent void indexObject(Oz::Base::ObjectMetadata metadata);
			idempotent void removeObject(Ice::Identity id);
		};

		class Indexer extends IndexerAdmin
		{
			string indexDir;
		};
		
		dictionary<string,Indexer>IndexerMap;
	};
};

#endif